START-STOP-DAEMON(8)

NOMBRE
start-stop-daemon - para y arranca demonios del sistema

SINOPSIS
start-stop-daemon -S|--start opciones [--] argumentos

start-stop-daemon -K|--stop opciones

start-stop-daemon -H|--help

start-stop-daemon -V|--version

DESCRIPCIÓN
start-stop-daemon se usa para controlar la creación y terminación de los procesos del sistema. Usando las opciones --exec, --pidfile, --user, y --name opciones, start-stop-daemon se puede configurar para encontrar distintos procesos del mismo demonio.

Con --start, start-stop-daemon comprueba la existencia del proceso especificado. Si este proceso ya existe, start-stop-daemon no hace nada, y termina con un estado de error 1 (0 si se especifica --oknodo ). Si el proceso no existe, comienza uno nuevo, usando el ejecutable especificado por --exec, (o, si se especifica, por --startas ). Cualquier argumento dado en la línea de órdenes después de -- se pasa sin modificación alguna al programa que se va a ejecutar.

Con --stop, start-stop-daemon comprueba además la existencia del proceso especificado. Si este proceso existe, start-stop-daemon envía la señal especificada por --signal, y termina con un estado de error 0. Si este proceso no existe, start-stop-daemon termina con un estado de error 1 (0 si se ha especificado la opción --oknodo ). Si se especifica la opción --retry entonces start-stop-daemon comprobará que el proceso o los procesos han terminado.

Dese cuenta que a menos que se especifique --pidfile , start-stop-daemon se comporta similar a killall(1). start-stop-daemon buscará en la tabla de procesos cualquier proceso que concuerde en nombre, uid y/o gid (si se especifica). Cualquier proceso que concuerde con los parámetros prevendrá a --start de empezar el demonio. Se mandará a todos los procesos la señal KILL si se especifica --stop. Para los demonios que tengan hijos de larga duración que necesiten sobrevivir a un --stop debe especificar un fichero-de-pid.

OPCIONES

-x|--exec ejecutable
    Busca distintos procesos de este ejecutable (según /proc/pid/exe ).

-p|--pidfile fichero-de-pid
    Comprueba si un procesos ha creado el fichero fichero-de-pid.

-u|--user nombre-usuario|uid
    Comprueba si existen los procesos del usuario especificado por nombre-usuario o uid.

-g|--group grupo|gid
    Cambia a grupo o gid cuando comienza el proceso.

-n|--name nombre-proceso
    Comprueba los procesos con el nombre nombre-proceso (según /proc/pid/stat).

-s|--signal señal
    Junto con --stop, especifica la señal enviada al proceso que se desea parar (15 por omisión).

-R|--retry tiempo-de-espera|acción-programada
    Junto con --stop, especifica que start-stop-daemon compruebe que el proceso o los procesos han terminado. Lo comprobará repetidas veces hasta que no haya ningún proceso que coincida. Si el proceso no termina tomará una decisión determinada por acción-programada .

    Si se especifica tiempo-de-espera en vez de acción-programada entonces se usa la secuencia señal/tiempo-de-espera/KILL/tiempo-de-espera , donde señal es la señal especificada por --signal.

    acción-programada es una lista de al menos dos artículos separados por barras (/); cada artículo puede ser un -númerodeseñal o [-]nombre de señal, que significa que se debe mandar esa señal, o tiempo-de-espera, que significa que se debe esperar esos segundos para que el programa termine, o forever, que significa que se repite el resto de acción-programada para siempre si es necesario.

    Si se alcanza el final de la acción-programada y no se ha especificado forever , entonces start-stop-daemon termina con un estado de error 2. Si se especifica una secuencia, entonces cualquier señal especificada con --signal no se tendrá en cuenta.

-a|--startas pathname
    Con --start, comienza el proceso especificado por pathname. Si no se especifica, se usarán los argumentos dados con --exec.

-t|--test
    Muestra las acciones que se realizarían y devuelve el valor apropiado, pero no hace nada.

-o|--oknodo
    Devuelve un estado 0 en vez de 1 si no se realiza (realizasen) ninguna acción.

-q|--quiet
    No muestra mensajes informativos, sólo muestra mensajes de error.

-c|--chuid nombre-usuario|uid
    Cambia a este usuario/uid antes de empezar el proceso. Además puede especificar el grupo añadiendo :, luego el grupo o el gid del mismo modo que haría con la orden `chown' (usuario:grupo). Debe de darse cuenta que cuando se usa esta opción el grupo primario y complementario se cambian también, incluso si no se especifica --group . La opción --group es sólo para grupos de los que el usuario no es miembro (como el grupo nobody ).

-r|--chroot directorio-raíz
    Efectua chdir y chroot a directorio-raíz antes de empezar el proceso. Dese cuenta que el fichero del pid también es escrito después de hacer el chroot.

-d|--chdir directorio
    Efectua chdir a directorio antes de empezar el proceso. Esto se hace después de efectuar chroot, si es que la opción -r|--chroot está establecida. Si no se especifica, start-stop-daemon ejecutará un chdir al directorio raíz antes de empezar el proceso.

-b|--background
    Usado típicamente con programas que no se separan por sí mismos. Esta opción forzará start-stop-daemon a hacer fork antes de empezar el proceso, y luego dejarlo en segundo plano. ATENCIÓN: start-stop-daemon no puede comprobar el estado de salida si el proceso no puede ejecutarse por cualquier razón. Esto se hace como último recurso, y sólo tiene sentido usarla en programas donde no tiene sentido que hagan fork por sí mismos, o no es factible añadir el código para que lo hagan por sí mismos.

-N|--nicelevel entero
    Altera la prioridad del proceso antes de empezarlo.

-m|--make-pidfile
    Se usa cuando se quiere comenzar un programa que no crea su propio fichero de pid. Esta opción hace que start-stop-daemon cree el fichero referido con --pidfile y coloque el pid dentro de él justo antes de ejecutar el proceso. Dese cuenta que no se borrará cuando termine el programa. NOTA: Esta característica no funciona en todos los casos. Más notablemente cuando el programa que se ejecuta hace fork en su proceso principal. Por esto solamente es útil cuando se combina con la opción --background .

-v|--verbose
    Muestra mensajes informativos detallados.

-H|--help
    Muestra la ayuda y luego termina.

-V|--version
    Muestra la versión y luego termina.

AUTORES
Marek Michalkiewicz <marekm@i17linuxb.ists.pwr.wroc.pl> basada en una versión previa de Ian Jackson <ian@chiark.greenend.org.uk>.

Página del manual de Klee Dienes <klee@mit.edu>, reformada parcialmente por Ian Jackson.

Traducida por Rubén Porras <nahoo@inicia.es> Revisada por Santiago Vila <sanvila@unex.es>